Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextOStream Class Reference

The QTextOStream class is a convenience class for output streams. More...

`#include <qtextstream.h>`

Inherits QTextStream.

List of all member functions.

## Public Members

- QTextOStream ( QString * s )
- QTextOStream ( QByteArray ba )
- QTextOStream ( FILE * f )

## Detailed Description

The QTextOStream class is a convenience class for output streams.

For simple tasks, code should be simple, so this class is a shorthand to avoid passing the mode argument to the normal QTextStream constructors.

This makes it easy for example, to write things like this:

        QString result;
        QTextOStream(&result) << "pi = " << 3.14;

See also Input/Output and Networking and Text Related Classes.

## Member Function Documentation

### QTextOStream::QTextOStream ( QString * s )

Constructs a stream to write to string s.

### QTextOStream::QTextOStream ( QByteArray ba )

Constructs a stream to write to the array ba.

### QTextOStream::QTextOStream ( FILE * f )

Constructs a stream to write to the file f.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.